import { jsx as n } from "@emotion/react/jsx-runtime";
import { createContext as i } from "react";
import { getTopBarClassesUtilityClass as d } from "../classes/index.js";
const c = {
  dataMenu: [],
  classes: d(),
  dataTestId: ""
}, l = i(c), T = (t) => {
  const { children: a, value: e } = t, { dataMenu: s, classes: o, dataTestId: r } = e;
  return /* @__PURE__ */ n(
    l.Provider,
    {
      value: { dataMenu: s, classes: o, dataTestId: r },
      children: a
    }
  );
};
export {
  l as TopBarContext,
  T as TopBarProvider
};
